### Method

# Fwupd BiosSetting setup

since: 2.1.6

#### Declaration [src]

    gboolean
    fwupd_bios_setting_setup (
      FwupdBiosSetting* self
      GError** error
    )

#### Description [src]

Reads the current value, converting to the display value as required.

NOTE: A subclass should handle the `->read_value()` vfunc and actually read the raw value from the firmware.

If `fwupd_bios_setting_add_possible_value_full()` was used then the raw value is automatically mapped to the display value before being set as the current version.

Available since: 2.1.6

#### Return value

Type: `gboolean`

`TRUE` for success.